Package Details: moodbar 1.0-1

Git Clone URL: https://aur.archlinux.org/moodbar.git (read-only)
Package Base: moodbar
Description: moodbar binaries and script for Amarok
Upstream URL: https://github.com/exaile/moodbar/releases
Licenses: GPL
Submitter: Neverth
Maintainer: fettouhi
Last Packager: fettouhi
Votes: 162
Popularity: 0.000005
First Submitted: 2006-08-25 17:01
Last Updated: 2018-03-29 17:27

Latest Comments

ClawOfLight commented on 2018-03-31 09:29

WOW, thanks for that update!

fettouhi commented on 2018-03-29 17:48

@ivanruvalcaba cool the more the merrier. If people want use that as a basis. We can do that as long as we get away from the old 0.10 gstreamer plugins. Most of them won't build at all.

ivanruvalcaba commented on 2018-03-29 17:44

@fettouhi please look this: https://github.com/Mazhoon/moodbar/

It works for me with Amarok at least.

Here my PKGBUILD (just in case):

# Maintainer: Iván Ruvalcaba <mario.i.ruvalcaba[at]gmail[dot]com>
# Contributor: Neverth <t-r-a-y@mbnet.fi>
# Contributor: fettouhi <A.Fettouhi@gmail.com>
# Contributor: Marvn

pkgname=moodbar
pkgver=0.1.3
pkgrel=1
pkgdesc="moodbar binaries and script for Amarok"
arch=('i686' 'x86_64')
url="https://github.com/Mazhoon/moodbar/"
license=('GPL')
depends=('gstreamer' 'gst-plugins-good' 'gst-plugins-ugly' 'gst-plugins-bad' 'fftw')
source=("https://github.com/Mazhoon/${pkgname}/archive/v${pkgver}/${pkgname}-${pkgver}.tar.gz")
sha256sums=('5542ae038a233afd946e4116f79552fda8b3a29caf5d23e93ef6af77d890a6eb')

build() {
  cd "${pkgname}-${pkgver}"
  ./autogen.sh --prefix=`pkg-config --variable=prefix gstreamer-1.0`
  make
}

package() {
  cd "${pkgname}-${pkgver}"

  make DESTDIR="${pkgdir}" install

  # Doc files
  install -Dm644 AUTHORS \
    "${pkgdir}/usr/share/doc/${pkgname}/AUTHORS"
  install -Dm644 COPYING \
    "${pkgdir}/usr/share/doc/${pkgname}/COPYING"
  install -Dm644 ChangeLog \
    "${pkgdir}/usr/share/doc/${pkgname}/ChangeLog"
  install -Dm644 README \
    "${pkgdir}/usr/share/doc/${pkgname}/README"
  install -Dm644 README.md \
    "${pkgdir}/usr/share/doc/${pkgname}/README.md"
  install -Dm644 TODO \
    "${pkgdir}/usr/share/doc/${pkgname}/TODO"
  install -Dm644 INSTALL \
    "${pkgdir}/usr/share/doc/${pkgname}/INSTALL"
  install -Dm644 NEWS \
    "${pkgdir}/usr/share/doc/${pkgname}/NEWS"

  # License
  install -Dm644 LICENSE \
    "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
}

# vim:set ts=2 sw=2 cc=80 et:

fettouhi commented on 2018-03-29 17:29

Readopted this package and updated it against the upstream package mentioned by @genodeftest. Many thanks. Package is now build against gst-1.0 plugins. I have tested with Clementine and it seems to work fine.

fettouhi commented on 2018-03-04 18:26

I don't have time to update the package to this new version of moodbar. So I am disowning the package. If anyone wants to take this over be my guest.

genodeftest commented on 2018-03-04 18:19

New upstream: https://github.com/exaile/moodbar

slot commented on 2018-02-07 09:28

I am not able to build gstreamer0.10-bad-plugins anymore. Any posibility to update to gst-plugins-bad?

fettouhi commented on 2015-01-04 07:49

@Mogdog: Added armv6h to the PKGBUILD.

Mogdog commented on 2015-01-03 23:45

I have verified that this builds and works fine on armv6h architecture, please add armv6h to the PKGBUILD.

fettouhi commented on 2014-01-10 07:14

FIXED! Many thanks for the hint.

ccx commented on 2014-01-10 00:52

Edit pkgbuild downloadsource, as this resource is not available anymore.

Eg.

http://pkgs.fedoraproject.org/repo/pkgs/moodbar/moodbar-0.1.2.tar.gz/28c8eb65e83b30f71b84be4fab949360/

bzt commented on 2012-09-25 09:57

Awesome, thanks!

fettouhi commented on 2012-09-25 09:49

Updated as per request from bzt. Using his suggested PKGBUILD. Many thanks!

bzt commented on 2012-09-25 08:55

Fails to build for people with a custom BUILDDIR in /etc/makepkg.conf

Here is a cleaned up PKGBUILD without $startdir: http://pastebin.com/HxYvkFQp

fettouhi commented on 2011-11-13 16:15

I just tried to build the package myself and the sources download fine for me.

Vladoudidou commented on 2011-11-13 12:11

The domain name of the author (http://pwsp.net) is expired. Therefore, the sources downloading does not work anymore.

JonnyJD commented on 2010-07-31 19:33

Nope, that is in the base-devel group, which should be installed using aur anyways: http://wiki.archlinux.org/index.php/AUR#Prerequisites

colomar commented on 2010-07-31 17:17

You should add patch as a dependency. Sounds trivial, but since Arch doesn't install it by default, it should be added.